/*
 *  Copyright (c) 2008 Cyrille Berger <cberger@cberger.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _GTLFRAGMENT_VERSION_H_
#define _GTLFRAGMENT_VERSION_H_

#include <GTLCore/Version.h>
#include <GTLFragment/Export.h>

#define GTLFRAGMENT_VERSION_MAJOR GTL_CORE_VERSION_MAJOR
#define GTLFRAGMENT_VERSION_MINOR GTL_CORE_VERSION_MINOR
#define GTLFRAGMENT_VERSION_REVISION GTL_CORE_VERSION_REVISION

namespace GTLFragment {
  GTLFRAGMENT_EXPORT GTLCore::String LibraryShortName();
  GTLFRAGMENT_EXPORT GTLCore::String LibraryName();
  GTLFRAGMENT_EXPORT GTLCore::String LibraryCopyright();
  GTLFRAGMENT_EXPORT GTLCore::String LibraryLicence();
  GTLFRAGMENT_EXPORT GTLCore::String LibraryVersionString();;
  GTLFRAGMENT_EXPORT int LibraryVersionMajor();
  GTLFRAGMENT_EXPORT int LibraryVersionMinor();
  GTLFRAGMENT_EXPORT int LibraryVersionRevision();
}

#endif
